Bug 827041 - Review Request: python-xtermcolor - Python module for colorizing output with xterm 256 color support
Review Request: python-xtermcolor - Python module for colorizing output with ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 09:57 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-06-11 20:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 20:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-05-31 09:57:37 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/xtermcolor/python-xtermcolor.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/xtermcolor/python-xtermcolor-1.0.3-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4116927
Description: Python module for colorizing output with xterm 256 color support.
Fedora Account System Username: bkabrda
Comment 1 Matthias Runge 2012-06-01 02:14:31 EDT
I'll take this one.
Comment 2 Matthias Runge 2012-06-01 03:09:20 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-xtermcolor-1.0.3-1.fc18.src.rpm

python-xtermcolor.src: W: file-size-mismatch LICENSE = 1063, https://raw.github.com/broadinstitute/xtermcolor/master/LICENSE = 1
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-xtermcolor-1.0.3-1.fc18.noarch.rpm

python-xtermcolor.noarch: W: no-manual-page-for-binary xtermcolor
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/827041/xtermcolor-1.0.3.tar.gz :
  MD5SUM this package     : 6cf2fdb97bc6da576f3a41a343ee7394
  MD5SUM upstream package : 6cf2fdb97bc6da576f3a41a343ee7394
/home/mrunge/review/827041/LICENSE :
  MD5SUM this package     : a33be919aacb5d1f9ce71c22bf6c5c19
  MD5SUM upstream package : a33be919aacb5d1f9ce71c22bf6c5c19

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[!]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-xtermcolor-1.0.3-1.fc18.src.rpm

python-xtermcolor.src: W: file-size-mismatch LICENSE = 1063, https://raw.github.com/broadinstitute/xtermcolor/master/LICENSE = 1
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-xtermcolor-1.0.3-1.fc18.noarch.rpm

python-xtermcolor.noarch: W: no-manual-page-for-binary xtermcolor
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


- BuildRequires: python-devel should be python2-devel
- it seems, there's an issue with source1, (file size mismatch). Could you please re-fetch that source (e.g. via wget). That should fix this.


Package is APPROVED
Comment 3 Bohuslav "Slavek" Kabrda 2012-06-01 03:19:23 EDT
Thanks for the review!
- I will replace python-devel with python2-devel.
- As for the license, Github seems to cause problems with this, I will try to look into it.

New Package SCM Request
=======================
Package Name: python-xtermcolor
Short Description: Python module for colorizing output with xterm 256 color support
Owners: bkabrda
Branches: f17
InitialCC:
Comment 4 Gwyn Ciesla 2012-06-01 08:49:00 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-06-01 09:58:22 EDT
python-xtermcolor-1.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-xtermcolor-1.0.3-1.fc17
Comment 6 Fedora Update System 2012-06-01 23:56:22 EDT
python-xtermcolor-1.0.3-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-06-11 20:29:36 EDT
python-xtermcolor-1.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.